Bug 199941 - Review Request: gnome-python2-gda
Summary: Review Request: gnome-python2-gda
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 198613
Blocks: FE-ACCEPT 201437
TreeView+ depends on / blocked
 
Reported: 2006-07-24 14:51 UTC by Denis Leroy
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-03 10:30:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Denis Leroy 2006-07-24 14:51:40 UTC
Spec URL: http://www.poolshark.org/src/gnome-python2-gda.spec
SRPM URL: http://www.poolshark.org/src/gnome-python2-gda-2.14.0-1.src.rpm

Description: pyGNOME Python extension module for interacting with gda

This module should be part of the gnome-python2-extras package, which is in Core. However since libgda (the Gnome database accesslib) is in Extras, the gda module is not enabled in Core. The goal of this package is to provide that missing gda module, which is needed by Glom.

I do think the better solution would be for the stable tree of libgda to be part of Fedora Core, but one has to choose one's battles.

You'll notice some devel-type files are present in the package, which rpmlint will complain about. The spec tries to be consistent with that of gnome-python2-extras in Core, and considering the small size of the package I don't think the devel split is worth the effort.

Comment 1 Kevin Fenzi 2006-10-01 20:07:26 UTC
Could you update to the 2.14.2 release thats used in core now?

Update and I can see about doing a review on this. 

Comment 3 Kevin Fenzi 2006-10-01 22:43:24 UTC
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
See below - License
See below - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
039e1300368df17de9867685e9705091  gnome-python-extras-2.14.2.tar.bz2
039e1300368df17de9867685e9705091  gnome-python-extras-2.14.2.tar.bz2.1
OK - Package compiles and builds on at least one arch.
OK - BuildRequires correct
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime. 
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.

SHOULD Items:

See below - Should include License or ask upstream to include it.
OK - Should build in mock.

Issues:

1. No %dist tag?

2. Is there any good way to tell what the license is?
The COPYING file (BTW, not a very good name for that file) has a
table of module and license, but doesn't mention gda at all. ;( 
There are also no headers, readme's or anything else in the gda
subdirectory.

3. Your Source line is not correct. It's pointing to the 2.13 dir 
instead of 2.14. 

4. rpmlint says: 

W: gnome-python2-gda devel-file-in-non-devel-package /usr/include/pygda-1.2/
pygdavalue_conversions.h
W: gnome-python2-gda devel-file-in-non-devel-package /usr/lib/pkgconfig/pygda-
1.2.pc

Unfortunately, I don't think the guidelines give much leeway on 
making sure devel files go into a devel subpackage. 
It's not really that much trouble to make a devel subpackage is it?


Comment 4 Denis Leroy 2006-10-01 23:42:23 UTC
http://www.poolshark.org/src/gnome-python2-gda-2.14.2-2.src.rpm
http://www.poolshark.org/src/gnome-python2-gda.spec

1. fixed

2. gda is unfortunately omitted in the COPYING file, I filed a bug upstream. The
code is released under the LGPL :

http://mail.python.org/pipermail/python-announce-list/2004-January/002818.html

Licence field fixed, and licence files included.

3. oops nice catch, fixed.

4. no trouble at all. Devel split done.


Comment 5 Kevin Fenzi 2006-10-02 00:06:32 UTC
Just one more minor issue: 

The devel package has a .pc file, so it should 'Requires: pkgconfig' 

You can go ahead and fix that before you import it. 
All the other blockers are fixed, so this package is APPROVED. 

Don't forget to close this NEXTRELEASE once it's been imported and built. 
Also, do consider doing a review of another package thats waiting... 

Comment 6 Denis Leroy 2006-10-03 10:30:32 UTC
pkgconfig added. Built. Thanks for your review! :-)



Note You need to log in before you can comment on or make changes to this bug.